summaryrefslogtreecommitdiff
path: root/desktop
diff options
context:
space:
mode:
authorsb <sb@openoffice.org>2009-11-12 16:59:54 +0100
committersb <sb@openoffice.org>2009-11-12 16:59:54 +0100
commita1ce3509a02958fd2476686b17d2f334032b6642 (patch)
tree97788c4866b7f58566d01d330bd36e7d0aa77350 /desktop
parent47e4a896595c71d445b81b3f7f4d92b68a50ab2d (diff)
sb116: #i106850# propagate soffice.bin exit code from soffice script
Diffstat (limited to 'desktop')
-rw-r--r--desktop/scripts/soffice.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/desktop/scripts/soffice.sh b/desktop/scripts/soffice.sh
index 7895d3ed1cd9..7aaa95bd3ffe 100644
--- a/desktop/scripts/soffice.sh
+++ b/desktop/scripts/soffice.sh
@@ -129,11 +129,13 @@ export PATH
"$sd_prog/$sd_binary" "$@" &
trap 'kill -9 $!' TERM
wait $!
+sd_ret=$?
-while [ $? -eq 79 ]
+while [ $sd_ret -eq 79 ]
do
"$sd_prog/$sd_binary" ""$BOOTSTRAPVARS"" &
wait $!
+ sd_ret=$?
done
-exit
+exit $sd_ret